
--------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Bcd_Counter_4bit_ver1 is
  Generic( MaxCount: integer := 9 ); -- An attempt to make a generic counter
  
    Port ( Clk,Reset:  in  STD_LOGIC;
           Enp,Ent :   in  STD_LOGIC;
           Q :         out STD_LOGIC_VECTOR (3 downto 0);
           RCO :       out STD_LOGIC);
end Bcd_Counter_4bit_ver1;

architecture Behavioral of Bcd_Counter_4bit_ver1 is
   signal TempQ: STD_LOGIC_VECTOR (3 downto 0);
begin
   Q <= TempQ; -- Make the internal TempQ available
	
 --############################################################################
 --# The Counter will count until the MaxCount value reased.
 --# MaxCount = 9 => sequence: 0,1,2,3,4,5,6,7,8,9,0....
 --# Counting will take place if ENP='1' or ENT='1' 
 --#
 --############################################################################
   process( Clk)
	   variable Counter: STD_LOGIC_VECTOR (3 downto 0); -- Internal Counter 
	begin




	end process;

   --# RCO will be active (1) when Ent='1' and Counter value=MaxCount
	RCO <= 
	
	
end Behavioral;

