VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1(15:0)
        SIGNAL Dp(3:0)
        SIGNAL Segm(1:8)
        SIGNAL An(3:0)
        SIGNAL Clk
        SIGNAL Enable
        SIGNAL Reset
        SIGNAL Dp(3)
        SIGNAL Dp(2)
        SIGNAL Dp(1)
        SIGNAL Dp(0)
        SIGNAL XLXN_2
        PORT Output Segm(1:8)
        PORT Output An(3:0)
        PORT Input Clk
        PORT Input Enable
        PORT Input Reset
        BEGIN BLOCKDEF Bcd_Counter4x4bit_ver1
            TIMESTAMP 2007 9 19 16 33 21
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF muxdisplay_ver3
            TIMESTAMP 2007 9 19 12 47 46
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 Bcd_Counter4x4bit_ver1
            PIN Reset Reset
            PIN Enable Enable
            PIN Clk XLXN_2
            PIN Cnt(15:0) XLXN_1(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_2 muxdisplay_ver3
            PIN Clk_50MHz Clk
            PIN Bcd(15:0) XLXN_1(15:0)
            PIN Dp(3:0) Dp(3:0)
            PIN Clk_1kHz XLXN_2
            PIN Segm(1:8) Segm(1:8)
            PIN An(3:0) An(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_3 vcc
            PIN P Dp(3)
        END BLOCK
        BEGIN BLOCK XLXI_4 vcc
            PIN P Dp(2)
        END BLOCK
        BEGIN BLOCK XLXI_5 vcc
            PIN P Dp(1)
        END BLOCK
        BEGIN BLOCK XLXI_6 vcc
            PIN P Dp(0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 400 400 R0
        END INSTANCE
        BEGIN BRANCH XLXN_1(15:0)
            WIRE 784 240 1184 240
        END BRANCH
        BEGIN INSTANCE XLXI_2 1184 336 R0
        END INSTANCE
        BEGIN BRANCH Dp(3:0)
            WIRE 880 304 1184 304
            BEGIN DISPLAY 880 304 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Segm(1:8)
            WIRE 1568 240 1728 240
        END BRANCH
        BEGIN BRANCH An(3:0)
            WIRE 1568 304 1728 304
        END BRANCH
        BEGIN BRANCH Clk
            WIRE 1088 176 1184 176
        END BRANCH
        BEGIN BRANCH Enable
            WIRE 272 304 400 304
        END BRANCH
        BEGIN BRANCH Reset
            WIRE 272 240 400 240
        END BRANCH
        INSTANCE XLXI_3 960 448 R180
        INSTANCE XLXI_4 1040 448 R180
        INSTANCE XLXI_5 1120 448 R180
        INSTANCE XLXI_6 1200 448 R180
        BEGIN BRANCH Dp(3)
            WIRE 896 400 896 448
            BEGIN DISPLAY 896 400 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Dp(2)
            WIRE 976 400 976 448
            BEGIN DISPLAY 976 400 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Dp(1)
            WIRE 1056 400 1056 448
            BEGIN DISPLAY 1056 400 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Dp(0)
            WIRE 1136 400 1136 448
            BEGIN DISPLAY 1136 400 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        IOMARKER 272 240 Reset R180 28
        IOMARKER 272 304 Enable R180 28
        IOMARKER 1728 240 Segm(1:8) R0 28
        IOMARKER 1728 304 An(3:0) R0 28
        IOMARKER 1088 176 Clk R180 28
        BEGIN BRANCH XLXN_2
            WIRE 320 368 400 368
            WIRE 320 368 320 608
            WIRE 320 608 1968 608
            WIRE 1568 176 1968 176
            WIRE 1968 176 1968 608
        END BRANCH
    END SHEET
END SCHEMATIC
